%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate statrs

Name:           rust-statrs
Version:        0.16.0
Release:    	1%{?dist}
Summary:        Statistical computing library for Rust

License:        MIT
URL:            https://crates.io/crates/statrs
Source0:         %{crate}-%{version_no_tilde}-clean.crate
Source1:         gen_clean_tarball.sh
Patch:          statrs-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Statistical computing library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --skip statistics::iter_statistics::tests::test_covariance_consistent_with_variance --skip statistics::iter_statistics::tests::test_covariance_is_symmetric --skip statistics::iter_statistics::tests::test_mean --skip statistics::iter_statistics::tests::test_pop_covar_consistent_with_pop_var --skip statistics::iter_statistics::tests::test_std_dev
%endif

%changelog
* Sun Jun 30 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16.0-1
- initial build
